Skip to main content
POST
/
transactions
Create transaction with guardrails
curl --request POST \
  --url https://api.mnemom.ai/v1/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "<string>",
  "actions": [
    {
      "tool": "<string>",
      "parameters": {},
      "justification": "<string>"
    }
  ],
  "policy_override": {
    "meta": {
      "schema_version": "<string>",
      "name": "<string>",
      "description": "<string>",
      "scope": "agent"
    },
    "capability_mappings": {},
    "forbidden": [
      {
        "pattern": "<string>",
        "reason": "<string>",
        "severity": "high"
      }
    ],
    "escalation_triggers": [
      {
        "condition": "<string>",
        "action": "notify",
        "reason": "<string>"
      }
    ],
    "defaults": {
      "unmapped_tool_action": "warn",
      "unmapped_severity": "medium",
      "fail_open": false,
      "enforcement_mode": "observe",
      "grace_period_hours": 0
    }
  }
}
'
{
  "id": "<string>",
  "agent_id": "<string>",
  "status": "pending",
  "evaluation": {
    "verdict": "pass",
    "violations": [
      {
        "type": "forbidden",
        "tool": "<string>",
        "capability": "<string>",
        "rule": "<string>",
        "reason": "<string>",
        "severity": "low"
      }
    ],
    "warnings": [
      {
        "tool": "<string>",
        "message": "<string>"
      }
    ],
    "card_gaps": [
      {
        "capability": "<string>",
        "missing_card_field": "<string>",
        "suggestion": "<string>"
      }
    ],
    "coverage": 0.5
  },
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Body

application/json
agent_id
string
required

Agent performing the transaction

actions
object[]
required

List of actions to execute within the transaction

policy_override
object

Optional policy to use instead of the agent's effective policy

Response

Transaction created

id
string
agent_id
string
status
enum<string>
Available options:
pending,
approved,
blocked,
escalated
evaluation
object

Result of evaluating a CLPI policy against a set of tools or traces.

created_at
string<date-time>